Navigation
Update a mobile app navigation
Updates a Fluid mobile app navigation’s items, access rules, name, and status.
PATCH
/
api
/
v2
/
mobile_navigations
/
{id}
Update a mobile app navigation
curl --request PATCH \
--url https://api.fluid.app/api/v2/mobile_navigations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lock_version": 123,
"items": [
{
"id": 123,
"label": "<string>",
"position": 123,
"enabled": true,
"embed_url": "<string>",
"icon_key": "<string>",
"open_in_full_screen": true,
"_destroy": true
}
],
"name": "<string>",
"access_rules": [
{
"id": 123,
"displayable_type": "<string>",
"displayable_id": 123,
"member_type_id": "<string>",
"_destroy": true
}
]
}
'import requests
url = "https://api.fluid.app/api/v2/mobile_navigations/{id}"
payload = {
"lock_version": 123,
"items": [
{
"id": 123,
"label": "<string>",
"position": 123,
"enabled": True,
"embed_url": "<string>",
"icon_key": "<string>",
"open_in_full_screen": True,
"_destroy": True
}
],
"name": "<string>",
"access_rules": [
{
"id": 123,
"displayable_type": "<string>",
"displayable_id": 123,
"member_type_id": "<string>",
"_destroy": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lock_version: 123,
items: [
{
id: 123,
label: '<string>',
position: 123,
enabled: true,
embed_url: '<string>',
icon_key: '<string>',
open_in_full_screen: true,
_destroy: true
}
],
name: '<string>',
access_rules: [
{
id: 123,
displayable_type: '<string>',
displayable_id: 123,
member_type_id: '<string>',
_destroy: true
}
]
})
};
fetch('https://api.fluid.app/api/v2/mobile_navigations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mobile_navigation": {
"id": 123,
"name": "<string>",
"status": "active",
"lock_version": 123,
"default": true,
"member_type": {
"id": "<string>",
"name": "<string>"
},
"access_rules": [
{
"id": 123,
"displayable_type": "<string>",
"displayable_name": "<string>",
"displayable_id": 123
}
],
"items": [
{
"id": 123,
"lock_version": 123,
"kind": "<string>",
"label": "<string>",
"position": 123,
"enabled": true,
"screen_key": "<string>",
"embed_url": "<string>",
"icon_key": "<string>",
"open_in_full_screen": true
}
]
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I
Update a mobile app navigation
